package de.espirit.firstspirit.opt.example.editorialsar.search.adapter.gomelement;

import de.espirit.firstspirit.access.Language;
import de.espirit.firstspirit.access.store.templatestore.gom.GomElement;
import de.espirit.firstspirit.forms.FormData;
import de.espirit.firstspirit.opt.example.editorialsar.clientservice.EditorialSARClientService;
import de.espirit.firstspirit.opt.example.editorialsar.search.SearchConfiguration;
import de.espirit.firstspirit.opt.example.editorialsar.search.adapter.SearchAdapter;

import org.jetbrains.annotations.NotNull;


/**
 * Abstract search adapter to perform search and replacement processes on {@link GomElement} objects.
 */
public abstract class GomElementSearchAdapter extends SearchAdapter {

	protected final Language _language;
	protected final FormData _formData;
	protected final boolean _isMetadataForm;
	protected final String _editorName;


	/**
	 * Constructor.
	 *
	 * @param clientService The {@link EditorialSARClientService}.
	 * @param language The project {@link Language} to process.
	 * @param formData The {@link FormData} object to process.
	 * @param isMetadataForm Indicates if the {@link FormData} object is a metadata form {@code true} or a normal element form {@code false}.
	 * @param editorName The form's editor to process.
	 */
	protected GomElementSearchAdapter(@NotNull final EditorialSARClientService clientService, @NotNull final SearchConfiguration searchConfiguration, @NotNull final Language language, @NotNull final FormData formData, final boolean isMetadataForm, @NotNull final String editorName) {
		super(clientService, searchConfiguration);
		_language = language;
		_formData = formData;
		_isMetadataForm = isMetadataForm;
		_editorName = editorName;
	}
}