package de.espirit.firstspirit.opt.example.editorialsar.search.adapter.storeelement;

import de.espirit.firstspirit.access.store.IDProvider;
import de.espirit.firstspirit.access.store.StoreElement;
import de.espirit.firstspirit.opt.example.editorialsar.clientservice.EditorialSARClientService;
import de.espirit.firstspirit.opt.example.editorialsar.search.SearchConfiguration;
import de.espirit.firstspirit.opt.example.editorialsar.search.adapter.SearchAdapter;

import org.jetbrains.annotations.NotNull;


/**
 * Abstract search adapter to perform search and replacement processes on elements of type {@link StoreElement}.
 */
public abstract class StoreElementSearchAdapter extends SearchAdapter {

	protected final IDProvider _element;

	/**
	 * Constructor.
	 *
	 * @param clientService The {@link EditorialSARClientService}.
	 * @param element The {@link IDProvider element} to process.
	 */
	protected StoreElementSearchAdapter(@NotNull final EditorialSARClientService clientService, @NotNull final SearchConfiguration searchConfiguration, @NotNull final IDProvider element) {
		super(clientService, searchConfiguration);
		_element = element;
	}
}